## Makefile.am -- Process this file with automake to produce Makefile.in

INCLUDES   =  -I$(top_srcdir)

SUBDIRS = src test
DIST_SUBDIRS = src test doc win32 .

ACLOCAL_AMFLAGS = -I $(top_srcdir)/m4

EXTRA_DIST = APACHE.license \
           project-root.jam \
           Jamfile.v2 \
           Jamfile \
           autogen.sh \
           HACKING \
           REQUESTS

distall: distdir
	$(AMTAR) chof - $(distdir) >$(distdir).tar
	GZIP=$(GZIP_ENV) gzip -c $(distdir).tar >$(distdir).tar.gz
	bzip2 -9 -c $(distdir).tar >$(distdir).tar.bz2
	-rm -f $(distdir).zip
	zip -rq $(distdir).zip $(distdir)
	-rm -f $(distdir).tar
	$(am__remove_distdir)

dist-hook:
	rm -rf `find $(distdir)/ -name CVS`
	rm -rf `find $(distdir)/ -name .svn`
	rm -rf `find $(distdir)/ -name .dep`

distcheck-hook:
	mkdir $(distdir)/_build/test
	mkdir $(distdir)/_build/test/data
	cp -r $(distdir)/test/data/readme.txt $(distdir)/_build/test/data
	cp -r $(distdir)/test/data/words.txt $(distdir)/_build/test/data
	cp -r $(distdir)/test/data/reuters-21578 $(distdir)/_build/test/data
	cp -r $(distdir)/test/data/reuters-21578-index $(distdir)/_build/test/data
	cp -r $(distdir)/test/data/utf8text $(distdir)/_build/test/data

MAINTAINERCLEANFILES    = Makefile.in \
   								src/CLucene/clucene-config.h \
   								config.h.tmp \
   								aclocal.m4 \
   								configure

DISTCLEANFILES = 				*.tar.gz \
									*.tar.bz2 \
									*.zip


upload:
	make distcheck
	ncftpput -v upload.sourceforge.net /incoming @PACKAGE@-@VERSION@.tar.gz

doxygen:
	rm -fdr ./doc/html
	doxygen Doxyfile
	cp ./doc/clucene.jpg ./doc/html/clucene.jpg
